<?php
namespace Teknisa\MAN\Services;

use Teknisa\MAN\Factories\TipoVendaRepository;

class TipoVendaService {

    /**
     * @var TipoVendaRepository
     */
    protected $tipoVendaService;

    public function __construct(TipoVendaRepository $tipoVendaRepository) {
        $this->tipoVendaRepository = $tipoVendaRepository;
    }

    /**
     * @return int
     */
    public function getNextId() {
        $idRow = $this->tipoVendaRepository->getMaxId();
        $id = $idRow[0]['MAX_ID'];
        return !is_null($id) ? ++$id : 1;
    }
} 